---
title: "Get resource policy"
url: https://hexelstudio.com/docs/api/ciam-iam/resource-policies/list
---

# Get resource policy

**GET** `/resource-policies`

Get the caller's organization's resource policy for a resource

## Query parameters

- `resource_type: string`

  Resource Type

- `resource_id: string`

  Resource ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`ResourcePolicy`)

- `created_at: optional string`

- `created_by_user_id: optional string`

- `id: optional string`

- `is_enabled: optional boolean`

- `organization_id: optional string`

- `policy_document: optional array of integer`

- `resource_id: optional string`

- `resource_type: optional string`

- `updated_at: optional string`

## Errors

- `404` Not Found

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/resource-policies?resource_type=RESOURCE_TYPE&resource_id=RESOURCE_ID' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "created_at": "2026-01-01T00:00:00Z",
  "created_by_user_id": "string",
  "id": "string",
  "is_enabled": true,
  "organization_id": "string",
  "policy_document": [
    0
  ],
  "resource_id": "string",
  "resource_type": "string",
  "updated_at": "2026-01-01T00:00:00Z"
}
```

### Response (404)

```json
{
  "key": "string"
}
```
